Package org.drinkless.tdlib

# Class TdApi.PremiumFeatures

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumFeatures

Enclosing class:
  `TdApi`

public static class TdApi.PremiumFeatures extends TdApi.Object
Contains information about features, available to Premium users.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PremiumFeature[]`
  `features`
  The list of available features.
  `TdApi.PremiumLimit[]`
  `limits`
  The list of limits, increased for Premium users.
  `TdApi.InternalLinkType`
  `paymentLink`
  An internal link to be opened to pay for Telegram Premium if store payment isn't possible; may be null if direct payment isn't available.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumFeatures()`
  Contains information about features, available to Premium users.
  `PremiumFeatures(TdApi.PremiumFeature[] features, TdApi.PremiumLimit[] limits, TdApi.InternalLinkType paymentLink)`
  Contains information about features, available to Premium users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### features

    public TdApi.PremiumFeature[] features
    The list of available features.

  - ### limits

    public TdApi.PremiumLimit[] limits
    The list of limits, increased for Premium users.

  - ### paymentLink

    @Nullable public TdApi.InternalLinkType paymentLink
    An internal link to be opened to pay for Telegram Premium if store payment isn't possible; may be null if direct payment isn't available.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumFeatures

    public PremiumFeatures()
    Contains information about features, available to Premium users.

  - ### PremiumFeatures

    public PremiumFeatures(TdApi.PremiumFeature[] features, TdApi.PremiumLimit[] limits, TdApi.InternalLinkType paymentLink)
    Contains information about features, available to Premium users.
    Parameters:
      `features` - The list of available features.
      `limits` - The list of limits, increased for Premium users.
      `paymentLink` - An internal link to be opened to pay for Telegram Premium if store payment isn't possible; may be null if direct payment isn't available.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR